##### basic_writable_pipe::cancel (2 of 2 overloads)

Cancel all asynchronous operations associated with the pipe.

    void cancel(
        asio::error_code & ec);

This function causes all outstanding asynchronous write operations to finish immediately, and the handlers for cancelled operations will be passed the `asio::error::operation_aborted` error.

###### Parameters

ec

  Set to indicate what error occurred, if any.